Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 739304 - sys-apps/attr: EAPI 7 request
Summary: sys-apps/attr: EAPI 7 request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-27 17:11 UTC by David Michael
Modified: 2020-09-07 20:44 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Michael 2020-08-27 17:11:54 UTC
Please migrate attr to EAPI 7 to properly define gettext in BDEPEND.  (This isn't breaking anything; I'm just submitting it to keep it in line with bug #739302.)

Side note: The live ebuild needs to define BDEPEND, and it looks like it has a syntax error (missing $) in trying to evaluate tc-getREADELF.

--- sys-apps/attr/attr-2.4.48-r3.ebuild
+++ sys-apps/attr/attr-2.4.48-r3.ebuild
@@ -1,7 +1,7 @@
 # Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI="6"
+EAPI=7
 
 inherit flag-o-matic libtool toolchain-funcs multilib-minimal usr-ldscript
 
@@ -14,7 +14,7 @@
 KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv s390 sparc x86 ~amd64-linux ~x86-linux"
 IUSE="debug nls static-libs"
 
-DEPEND="nls? ( sys-devel/gettext )"
+BDEPEND="nls? ( sys-devel/gettext )"
 
 PATCHES=(
 	"${FILESDIR}/${P}-perl-5.26.patch"
@@ -51,10 +51,10 @@
 }
 
 multilib_src_install() {
-	emake DESTDIR="${D%/}" install
+	emake DESTDIR="${D}" install
 
 	# Sanity check until we track down why this is happening. #644048
-	local lib="${ED%/}/usr/$(get_libdir)/libattr.so.1"
+	local lib="${ED}/usr/$(get_libdir)/libattr.so.1"
 	if [[ -e ${lib} ]] ; then
 		local versions=$($(tc-getREADELF) -V "${lib}")
 		local symbols=$($(tc-getREADELF) -sW "${lib}")
@@ -85,7 +85,7 @@
 
 multilib_src_install_all() {
 	if ! use static-libs; then
-		find "${ED%/}" -name '*.la' -delete || die
+		find "${ED}" -name '*.la' -delete || die
 	fi
 
 	einstalldocs
Comment 1 Larry the Git Cow gentoo-dev 2020-09-07 20:44:28 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fae392bd323c12e8d89b4b72cb9835a464f0cdd1

commit fae392bd323c12e8d89b4b72cb9835a464f0cdd1
Author:     David Michael <fedora.dm0@gmail.com>
AuthorDate: 2020-09-03 12:38:33 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2020-09-07 20:43:59 +0000

    sys-apps/attr: EAPI 7
    
    Closes: https://bugs.gentoo.org/739304
    Package-Manager: Portage-3.0.4, Repoman-2.3.23
    Signed-off-by: David Michael <fedora.dm0@gmail.com>
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>

 sys-apps/attr/attr-2.4.48-r4.ebuild | 92 +++++++++++++++++++++++++++++++++++++
 sys-apps/attr/attr-9999.ebuild      |  4 +-
 2 files changed, 94 insertions(+), 2 deletions(-)